# Copyright (c) 2025 Samsung Electronics Co., Ltd. All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import warnings

import torch
from packaging.version import Version

from tico.config import CompileConfigV1, get_default_config

from tico.utils.convert import convert, convert_from_exported_program, convert_from_pt2

# THIS LINE IS AUTOMATICALLY GENERATED BY setup.py
__version__ = "0.1.0.dev250525"


if Version(torch.__version__) < Version("2.5.0"):
    warnings.warn(
        f"TICO officially supports torch>=2.5. You are using a lower version of torch ({torch.__version__}). We highly recommend to upgrade torch >= 2.5 to avoid unexpected behaviors."
    )
